Page MenuHomeFreeBSD

Update references to en_US.ISO8859-1 documentation in src/
ClosedPublic

Authored by ceri on May 14 2021, 7:21 PM.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ceri requested review of this revision.May 14 2021, 7:21 PM
dbaio requested changes to this revision.May 15 2021, 5:02 PM
dbaio added a subscriber: dbaio.

Just one more thing, about Context not available.
It's nice to generate the diff with full context for reviews.
https://wiki.freebsd.org/Phabricator#Create_a_Revision_via_Web_Interface

And thanks for taking a look on this.

share/man/man4/mac.4
222

Let's keep the standard, always docs.f.o.
https://docs.freebsd.org/en/books/handbook/mac/

$ curl -I https://www.FreeBSD.org/doc/en/books/handbook/mac/
HTTP/1.1 301 Moved Permanently
Location: https://docs.freebsd.org/en/books/handbook/mac/
share/man/man7/release.7
700
704
share/man/man9/mac.9
169
share/man/man9/pci.9
1107
sys/contrib/zstd/FREEBSD-upgrade
14
usr.bin/timeout/timeout.1
193

This is pointing to the old documentation, this is the right link:
https://docs.freebsd.org/en/books/handbook/

We should fix that in the docs side, there are still some redirects to be made.

This revision now requires changes to proceed.May 15 2021, 5:02 PM
ceri marked 6 inline comments as done.

Take all of dbaio's amendments, except timeout.1

usr.bin/timeout/timeout.1
193

That link just redirects to itself, so will use https://docs.freebsd.org/en/books/handbook/book.html (the description is specifically about the full book too).

dbaio added inline comments.
usr.bin/timeout/timeout.1
193

We made some changes this morning and there is an issue with the Handbook.
This looping will be fixed.
CCing @allanjude

usr.bin/timeout/timeout.1
193

And it's fixed.
https://docs.freebsd.org/en/books/handbook/
Thanks Allan.

usr.bin/timeout/timeout.1
193

OK great. Would still recommend keeping the link I updated to, as the text discusses retrieving the whole book.

usr.bin/timeout/timeout.1
193

Got it, it's needed an address that won't be fetched instantly.

Well, it's working now, don't know for how long the legacy doc will be available or a redirect will take place.

usr.bin/timeout/timeout.1
193

Ah - I hadn't realised it was an older artefact. Will https://download.freebsd.org/ftp/doc/en/books/handbook/ be updated in time? A PDF link might be better.

usr.bin/timeout/timeout.1
193

Hum, seems the PDF is the better choice, I generated the new Handbook in PDF and it has almost 18MB, it will fit the purpose here.
Maybe it's good to open a PR for track the bulk builds in PDF, it's a pending item from the migration to Hugo/Asciidoctor.

usr.bin/timeout/timeout.1
193

Indeed, PDF should be better.
I have a diff allowing to build all docs in PDF with language selection.
I'm going to create a review for it today.

ceri marked 2 inline comments as done.

PDF version of the handbook used in timeout(1) example.
PR raised to track non-updates.

usr.bin/timeout/timeout.1
193

OK, done in attached. (will rebump .Dd in all pages before committing).

193

PR 255972 opened.

This revision is now accepted and ready to land.May 19 2021, 4:44 PM
This revision was automatically updated to reflect the committed changes.